#include <iostream>
#include <cmath>
#include <vector>

using namespace std;

int sum_min(vector<int>& a, vector<int>& b)
{
    int ret = 0;
    for (int i = 0; i < 26; i++)
    {
        ret += min(a[i], b[i]);
    }

    return 2*ret;
}

int main() {
    int N;
    while (cin >> N)
    {
        vector<char> chrs(N);
        for (int i = 0; i < N; i++)
        {
            cin >> chrs[i];
        }
        vector<vector<int>> ss(N, vector<int>(26, 0));
        vector<vector<int>> se(N, vector<int>(26, 0));

        for (int i = 0; i < N; i++)
        {
            if (i > 0)
            {
                for (int j = 0; j < 26; j++)
                {
                    ss[i][j] = ss[i - 1][j];
                }
            }
            ss[i][chrs[i] - 'a']++;
        }

        for (int i = N - 1; i >= 0; i--)
        {
            if (i < N - 1)
            {
                for (int j = 0; j < 26; j++)
                {
                    se[i][j] = se[i + 1][j];
                }
            }
            se[i][chrs[i] - 'a']++;
        }

        int max_sum = 0;
        for (int i = 0; i < N - 1; i++)
        {
            int cur_sum = sum_min(ss[i], se[i + 1]);
            int cur_sum_odd = 1;
            if (i < N - 2)
            {
                cur_sum_odd += sum_min(ss[i], se[i + 2]);
            }
            if (max_sum < cur_sum)
                max_sum = cur_sum;
            if (max_sum < cur_sum_odd)
                max_sum = cur_sum_odd;
        }

        cout << N - max_sum << "\n";
    }
    return 0;
}