#include <iostream>
#include <cmath>

using namespace std;

typedef long long ll;

ll divs_up_to(ll A)
{
    ll all = 0;
    ll sqr = ll(sqrt(A));
    for (int i = 1; i <= sqr; i++)
    {
        all += ll(A/i);
    }

    return 2*all - sqr*sqr;
}

int main() {
    ll N, M;
    while (cin >> N >> M)
    {
        ll cM = divs_up_to(M);
        ll cN = divs_up_to(N - 1);
        cout << cM - cN << "\n";
    }

    /*ll A;
    while (cin >> A)
    {
        cout << divs_up_to(A) << "\n";
    }*/
    return 0;
}